WWP Engine Docs
API ReferenceFlows

Get

POST
/flows/states/get

Authorization

ApiKeyAuth
x-api-key<token>

API key from /account/api-keys. Free tier: 100 req/hr. Pro tier: 1000 req/hr.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://gmp.ffstudios.io/api/rpc/api-reference/flows/states/get" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{
  "id": "string",
  "flowId": "string",
  "clientId": "string",
  "contactJid": "string",
  "state": "string",
  "currentNodeId": "string",
  "context": "string",
  "version": -2147483648,
  "claimedUntil": "2019-08-24T14:15:22Z",
  "claimedBy": "string",
  "timeoutJobId": "string",
  "lastEventId": "string",
  "lastEventAt": "2019-08-24T14:15:22Z",
  "error": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}